/*******************************************************************************
 * Copyright (c) 2004, 2005 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.data.engine.impl;

/**
 * Extension define in which context Data Engine is running.
 */

public class DataEngineContextExt
{

	private String tmpdir = System.getProperty( "java.io.tmpdir" );

	private static DataEngineContextExt singleInstance = new DataEngineContextExt( );

	private DataEngineContextExt( )
	{

	}

	/**
	 * 
	 * @return
	 */
	public static DataEngineContextExt getInstance( )
	{
		return singleInstance;
	}

	/**
	 * get Dte temporary dir.
	 * @return
	 */
	public String getTmpdir( )
	{
		return tmpdir;
	}

	/**
	 * set Dte temporary dir.
	 * @param tmpdir
	 */
	public void setTmpdir( String tmpdir )
	{
		this.tmpdir = tmpdir;
	}
}
